return {
	"ThePrimeagen/harpoon",
	branch = "harpoon2",
	dependencies = { "nvim-lua/plenary.nvim" },
	config = function()
		local harpoon = require("harpoon")
		local wk = require("which-key")

		harpoon:setup()

		wk.add({
			{ "<leader>h", group = "harpoon", icon = "󱡀" },
			{
				"<leader>hi",
				function()
					harpoon.ui:toggle_quick_menu(harpoon:list())
				end,
				desc = "Open Harpoon",
				icon = "󰮫",
			},
			{
				"<leader>ha",
				function()
					harpoon:list():add()
				end,
				desc = "Add Buffer to Harpoon List",
				icon = "",
			},
			{
				"<leader>h1",
				function()
					harpoon:list():select(1)
				end,
				desc = "Select first Element in Harpoon List",
				icon = "",
			},
			{
				"<leader>h2",
				function()
					harpoon:list():select(2)
				end,
				desc = "Select second Element in Harpoon List",
				icon = "",
			},
			{
				"<leader>h3",
				function()
					harpoon:list():select(3)
				end,
				desc = "Select third Element in Harpoon List",
				icon = "",
			},
			{
				"<leader>h4",
				function()
					harpoon:list():select(4)
				end,
				desc = "Select fourth Element in Harpoon List",
				icon = "",
			},
		})
	end,
}
